| Elektra 0.11.0

Typedefs | Functions
kdbiotest.h File Reference
I/O Bindings

Elektra-I/O functions and declarations for the I/O binding test suite. More...

`#include "kdbio.h"`

## Typedefs
typedef ElektraIoInterface *(* | ElektraIoTestSuiteCreateBinding) (void)
| Create and initialize I/O binding.
typedef void(* | ElektraIoTestSuiteStart) (void)
| Start I/O processing (for example event loop).
typedef void(* | ElektraIoTestSuiteStop) (void)
| Stop I/O processing (for example event loop).

## Functions
void | elektraIoTestSuite (ElektraIoTestSuiteCreateBinding createBinding, ElektraIoTestSuiteStart start, ElektraIoTestSuiteStop stop)
| Test-Suite for I/O Bindings.

## Detailed Description

Elektra-I/O functions and declarations for the I/O binding test suite.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Typedef Documentation

## ◆ ElektraIoTestSuiteCreateBinding

typedef ElektraIoInterface *(* ElektraIoTestSuiteCreateBinding) (void)

Create and initialize I/O binding.

Used by elektraIoTestSuite between tests to get a fresh binding instance.

Returns
  initialized I/O binding

## ◆ ElektraIoTestSuiteStart

typedef void(* ElektraIoTestSuiteStart) (void)

Start I/O processing (for example event loop).

Used by elektraIoTestSuite.

Should not return until processing is stopped (e.g. by calling ElektraIoTestSuiteStop)

## ◆ ElektraIoTestSuiteStop

typedef void(* ElektraIoTestSuiteStop) (void)

Stop I/O processing (for example event loop).

Used by elektraIoTestSuite

## Function Documentation

## ◆ elektraIoTestSuite()

void elektraIoTestSuite | ( | ElektraIoTestSuiteCreateBinding | createBinding,
|  | ElektraIoTestSuiteStart | start,
|  | ElektraIoTestSuiteStop | stop
| ) |  |

Test-Suite for I/O Bindings.

Parameters

  createBinding | Create and initialize a new I/O binding instance
  start | Pointer to the start function
  stop | Pointer to the stop function